<template>
    <div>
        <!-- breadcrumb start -->
        <div class="breadcrumb-section">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="page-title">
                            <h2>collection</h2>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <nav aria-label="breadcrumb" class="theme-breadcrumb">
                            <ol class="breadcrumb">
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb end -->

        <!-- section start -->
        <section class="section-b-space ratio_asos">
            <div class="collection-wrapper">
                <div class="container">
                    <div class="row">

                        <div class="col-sm-3 collection-filter">

                            <!-- side-bar colleps block stat -->
                            <div class="collection-filter-block">
                                <!-- brand filter start -->
                                <div class="collection-mobile-back"><span class="filter-back">
                                    <i class="fa fa-angle-left" aria-hidden="true"></i> back</span></div>
                                <div class="collection-collapse-block open">
                                    <h3 class="collapse-block-title">brand</h3>
                                    <div class="collection-collapse-block-content">
                                        <div class="collection-brand-filter">
                                            <div class="custom-control custom-checkbox collection-filter-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="zara">
                                                <label class="custom-control-label" for="zara">zara</label>
                                            </div>
                                            <div class="custom-control custom-checkbox collection-filter-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="vera-moda">
                                                <label class="custom-control-label" for="vera-moda">vera-moda</label>
                                            </div>
                                            <div class="custom-control custom-checkbox collection-filter-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="roadster">
                                                <label class="custom-control-label" for="roadster">roadster</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- color filter start here -->
                                <div class="collection-collapse-block open">
                                    <h3 class="collapse-block-title">colors</h3>
                                    <div class="collection-collapse-block-content">
                                        <div class="color-selector">
                                            <ul>
                                                <li class="color-1 active"></li>
                                                <li class="color-2"></li>
                                                <li class="color-3"></li>
                                                <li class="color-4"></li>
                                                <li class="color-5"></li>
                                                <li class="color-6"></li>
                                                <li class="color-7"></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <!-- price filter start here -->
                                <div class="collection-collapse-block border-0 open">
                                    <h3 class="collapse-block-title">price</h3>
                                    <div class="collection-collapse-block-content">
                                        <div class="collection-brand-filter">
                                            <div class="custom-control custom-checkbox collection-filter-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="hundred">
                                                <label class="custom-control-label" for="hundred">Tk. 10 - Tk.100</label>
                                            </div>
                                            <div class="custom-control custom-checkbox collection-filter-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="twohundred">
                                                <label class="custom-control-label" for="twohundred">Tk.100 - Tk.200</label>
                                            </div>
                                            <div class="custom-control custom-checkbox collection-filter-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="threehundred">
                                                <label class="custom-control-label" for="threehundred">Tk.200 - Tk.300</label>
                                            </div>
                                            <div class="custom-control custom-checkbox collection-filter-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="fourhundred">
                                                <label class="custom-control-label" for="fourhundred">Tk.300 - Tk.400</label>
                                            </div>
                                            <div class="custom-control custom-checkbox collection-filter-checkbox">
                                                <input type="checkbox" class="custom-control-input" id="fourhundredabove">
                                                <label class="custom-control-label" for="fourhundredabove">Tk.400
                                                    above</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- silde-bar colleps block end here -->
                        </div>

                        <div class="collection-content col">
                            <div class="page-main-content">
                                <div class="row">
                                    <div class="col-sm-12">

<!--                                        <div class="top-banner-wrapper">
                                            <a href="#"><img :src="'/assets/frontend/images/mega-menu/2.jpg'" class="img-fluid blur-up lazyload" alt=""></a>
                                            <div class="top-banner-content small-section">
                                            </div>
                                        </div>-->

                                        <div class="collection-product-wrapper">
                                            <div class="product-top-filter">
                                                <div class="row">
                                                    <div class="col-xl-12">
                                                        <div class="filter-main-btn"><span class="filter-btn btn btn-theme">
                                                            <i class="fa fa-filter" aria-hidden="true"></i> Filter</span></div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-12">
                                                        <div class="product-filter-content">

                                                            <div class="collection-view">
                                                                <ul>
                                                                    <li><i class="fa fa-th grid-layout-view"></i></li>
                                                                    <li><i class="fa fa-list-ul list-layout-view"></i></li>
                                                                </ul>
                                                            </div>
                                                            <div class="collection-grid-view">
                                                                <ul>
                                                                    <li><img :src="'/assets/frontend/images/icon/2.png'" alt="" class="product-2-layout-view"></li>
                                                                    <li><img :src="'/assets/frontend/images/icon/3.png'" alt="" class="product-3-layout-view"></li>
                                                                    <li><img :src="'/assets/frontend/images/icon/4.png'" alt="" class="product-4-layout-view"></li>
                                                                    <li><img :src="'/assets/frontend/images/icon/6.png'" alt="" class="product-6-layout-view"></li>
                                                                </ul>
                                                            </div>
                                                            <div class="product-page-per-view">
                                                                <select>
                                                                    <option value="High to low">24 Products Par Page
                                                                    </option>
                                                                    <option value="Low to High">50 Products Par Page
                                                                    </option>
                                                                    <option value="Low to High">100 Products Par Page
                                                                    </option>
                                                                </select>
                                                            </div>
                                                            <div class="product-page-filter">
                                                                <select>
                                                                    <option value="High to low">Sorting items</option>
                                                                    <option value="Low to High">50 Products</option>
                                                                    <option value="Low to High">100 Products</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="product-wrapper-grid product-load-more">
                                                <div class="row margin-res">
                                                    <div v-for="(product,key) in products" class="col-xl-3 col-6 col-grid-box" :style="key<=4?'display:block':''">
                                                        <div class="product-box">
                                                            <div class="img-wrapper">
                                                                <div class="front" @click="singleProduct(product)">
                                                                    <a href="#"><img :src="'/storage/product/'+product.image" class="img-fluid blur-up lazyload bg-img" alt=""></a>
                                                                </div>
                                                                <div class="back" @click="singleProduct(product)">
                                                                    <a href="#"><img :src="'/storage/product/'+product.image" class="img-fluid blur-up lazyload bg-img" alt=""></a>
                                                                </div>
                                                                <div class="cart-info cart-wrap">
                                                                    <button data-toggle="modal" data-target="#addtocart" @click="addCart(product)" title="Add to cart">
                                                                        <i class="ti-shopping-cart"></i>
                                                                    </button>
                                                                    <a href="javascript:void(0)" title="Add to Wishlist">
                                                                        <i class="ti-heart" aria-hidden="true"></i>
                                                                    </a>
                                                                    <a href="javascript:void(0)" @click="quickView(product)" data-toggle="modal" data-target="#quick-view" title="Quick View">
                                                                        <i class="ti-search" aria-hidden="true"></i>
                                                                    </a>
                                                                </div>
                                                            </div>
                                                            <div class="product-detail" @click="singleProduct(product)">
                                                                <div>
                                                                    <div class="rating"><i class="fa fa-star"></i> <i class="fa fa-star"></i>
                                                                        <i class="fa fa-star"></i> <i class="fa fa-star">
                                                                        </i> <i class="fa fa-star"></i>
                                                                    </div>
                                                                    <a href="javascript:void(0)">
                                                                        <h6>{{product.name}} {{product.code}}</h6>
                                                                    </a>
                                                                    <h4>Tk. {{product.price}}</h4>
                                                                    <ul class="color-variant">
                                                                        <li class="bg-light0"></li>
                                                                        <li class="bg-light1"></li>
                                                                        <li class="bg-light2"></li>
                                                                    </ul>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="load-more-sec"><a href="javascript:void(0)" class="loadMore">load
                                                more</a></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- section End -->
    </div>

</template>

<script>
    import {EventBus} from "./event-bus";

    export default {
        props:{
            products:{
                required:true,
            }
        },
        created() {
            this.loaderCall();
        },
        methods:{
            singleProduct(product){
                EventBus.$emit('singleProduct',product);
            },
            addCart(product){
                axios.post('/product/add/cart',product).then((response) =>{
                    if (response.data[0] === 0){
                        this.$toaster.error(response.data[1]);
                    }else{
                        this.$toaster.success(response.data[1]);
                    }
                });
            },
            quickView(product){
                EventBus.$emit('quickView',product);
            },
            loaderCall(){
                $('.collapse-block-title').on('click', function(e) {
                    e.preventDefault;
                    var speed = 300;
                    var thisItem = $(this).parent(),
                        nextLevel = $(this).next('.collection-collapse-block-content');
                    if (thisItem.hasClass('open')) {
                        thisItem.removeClass('open');
                        nextLevel.slideUp(speed);
                    } else {
                        thisItem.addClass('open');
                        nextLevel.slideDown(speed);
                    }
                });
                $('.color-selector ul li').on('click', function(e) {
                    $(".color-selector ul li").removeClass("active");
                    $(this).addClass("active");
                });
                //list layout view
                $('.list-layout-view').on('click', function(e) {
                    $('.collection-grid-view').css('opacity', '0');
                    $(".product-wrapper-grid").css("opacity", "0.2");
                    $('.shop-cart-ajax-loader').css("display", "block");
                    $('.product-wrapper-grid').addClass("list-view");
                    $(".product-wrapper-grid").children().children().removeClass();
                    $(".product-wrapper-grid").children().children().addClass("col-lg-12");
                    setTimeout(function() {
                        $(".product-wrapper-grid").css("opacity", "1");
                        $('.shop-cart-ajax-loader').css("display", "none");
                    }, 500);
                });
                //grid layout view
                $('.grid-layout-view').on('click', function(e) {
                    $('.collection-grid-view').css('opacity', '1');
                    $('.product-wrapper-grid').removeClass("list-view");
                    $(".product-wrapper-grid").children().children().removeClass();
                    $(".product-wrapper-grid").children().children().addClass("col-lg-3");

                });
                $('.product-2-layout-view').on('click', function(e) {
                    if ($('.product-wrapper-grid').hasClass("list-view")) {} else {
                        $(".product-wrapper-grid").children().children().removeClass();
                        $(".product-wrapper-grid").children().children().addClass("col-lg-6");
                    }
                });
                $('.product-3-layout-view').on('click', function(e) {
                    if ($('.product-wrapper-grid').hasClass("list-view")) {} else {
                        $(".product-wrapper-grid").children().children().removeClass();
                        $(".product-wrapper-grid").children().children().addClass("col-lg-4");
                    }
                });
                $('.product-4-layout-view').on('click', function(e) {
                    if ($('.product-wrapper-grid').hasClass("list-view")) {} else {
                        $(".product-wrapper-grid").children().children().removeClass();
                        $(".product-wrapper-grid").children().children().addClass("col-lg-3");
                    }
                });
                $('.product-6-layout-view').on('click', function(e) {
                    if ($('.product-wrapper-grid').hasClass("list-view")) {} else {
                        $(".product-wrapper-grid").children().children().removeClass();
                        $(".product-wrapper-grid").children().children().addClass("col-lg-2");
                    }
                });
                $(".product-load-more .col-grid-box").slice(0, 8).show();
                $(".loadMore").on('click', function(e) {
                    e.preventDefault();
                    $(".product-load-more .col-grid-box:hidden").slice(0, 4).slideDown();
                    if ($(".product-load-more .col-grid-box:hidden").length === 0) {
                        $(".loadMore").text('no more products');
                    }
                });
            }
        },
    }
</script>
